import {
  IsEmail, IsInt,
  IsNotEmpty,
  IsString,
  IsStrongPassword, IsUUID,
  MaxLength, Min,
  MinLength
} from "class-validator";
import { optional } from "zod";

export class CreateStockDto {
  @IsUUID()
  productId: string;

  @IsInt()
  @Min(0)
  quantity: number;
}

export class EditStockDto {
  @IsInt()
  @Min(0)
  quantity: number;
}