import { Controller, Get, Param, Post, Res, UploadedFile, UseGuards, UseInterceptors } from "@nestjs/common";
import { FileInterceptor } from "@nestjs/platform-express";
import { join } from 'node:path';
import { AdminGuard, UserGuard } from "src/auth/auth.guard";

@Controller('uploads')
export class UploadsController {
  @Post("p/new")
  @UseGuards(AdminGuard)
  @UseInterceptors(FileInterceptor('file'))
  uploadProductImage(@UploadedFile() file) {

  }

  @Post("avatar")
  @UseGuards(UserGuard)
  @UseInterceptors(FileInterceptor('file'))
  uploadAvatar(@UploadedFile() file) {
    console.log(file);
  }

  @Get('avatar/:userId')
    seeUploadedAvatar(@Param('filepath') file: string, @Res() res: Response) {
      const filePath = join(__dirname, '..', 'avatars', file);
      res.sendFile(filePath);
    }

  @Get('p/:filepath')
  seeUploadedFile(@Param('filepath') file: string, @Res() res: Response) {
    const filePath = join(__dirname, '..', 'files', file);
    res.sendFile(filePath);
  }
}
